Bug 1272708 - [abrt] edb: ArchProcessor::ArchProcessor(): edb killed by SIGSEGV
[abrt] edb: ArchProcessor::ArchProcessor(): edb killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: edb (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicoleau Fabien
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:dd33c39f7f61589c0af1c59b141...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 18:49 EDT by Michal Ambroz
Modified: 2015-12-02 13:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.74 KB, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: core_backtrace (1.27 KB, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: dso_list (14.65 KB, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: environ (2.38 KB, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: maps (76.13 KB, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: open_fds (529 bytes, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-10-17 18:49 EDT, Michal Ambroz
no flags Details

  None (edit)
Description Michal Ambroz 2015-10-17 18:49:37 EDT
Description of problem:
Edb just started without any speciall parameters.
------------------
Program received signal SIGSEGV, Segmentation fault.
-----------------------------------------------------------------------------------------------------------------------[regs]
  RAX: 0x0000000000000000  RBX: 0x0000000000746960  RBP: 0x0000000000746978  RSP: 0x00007FFFFFFFD760  o d I t s Z a P c 
  RDI: 0x0000000000000000  RSI: 0x4D4D580000000000  RDX: 0x0000000000B4B370  RCX: 0x000000344C7B7CE0  RIP: 0x00000000004215F5
  R8 : 0x0000000000B4B330  R9 : 0x0000000000745850  R10: 0x0000000000000000  R11: 0x0000000000000000  R12: 0x0000000000BAFD60
  R13: 0x0000000000000000  R14: 0x0000000000000000  R15: 0x0000000000000000
  CS: 0033  DS: 0000  ES: 0000  FS: 0000  GS: 0000  SS: 002B				
-----------------------------------------------------------------------------------------------------------------------[code]
=> 0x4215f5 <_ZN13ArchProcessorC2Ev+69>:	mov    rax,QWORD PTR [rdi]
   0x4215f8 <_ZN13ArchProcessorC2Ev+72>:	call   QWORD PTR [rax+0x20]
   0x4215fb <_ZN13ArchProcessorC2Ev+75>:	mov    rdi,QWORD PTR [rip+0x325286]        # 0x746888 <_ZN3edb2v113debugger_coreE>
   0x421602 <_ZN13ArchProcessorC2Ev+82>:	mov    BYTE PTR [rbx+0x20],al
   0x421605 <_ZN13ArchProcessorC2Ev+85>:	movabs rsi,0x584d4d0000000000
-----------------------------------------------------------------------------------------------------------------------------
0x00000000004215f5 in ArchProcessor::ArchProcessor() ()
gdb$ bt
#0  0x00000000004215f5 in ArchProcessor::ArchProcessor() ()
#1  0x000000000043fffa in edb::v1::arch_processor() ()
#2  0x000000000044cbf5 in DebuggerMain::DebuggerMain(QWidget*) ()
#3  0x000000000041fa0c in main ()

Version-Release number of selected component:
edb-0.9.18-10.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        edb
crash_function: ArchProcessor::ArchProcessor
executable:     /usr/bin/edb
kernel:         4.1.8-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 ArchProcessor::ArchProcessor at arch/x86_64/ArchProcessor.cpp:43
 #1 edb::v1::arch_processor at Debugger.cpp:196
 #2 DebuggerMain::DebuggerMain at DebuggerMain.cpp:232
 #3 start_debugger at main.cpp:102

Potential duplicate: bug 814564
Comment 1 Michal Ambroz 2015-10-17 18:49:41 EDT
Created attachment 1083998 [details]
File: backtrace
Comment 2 Michal Ambroz 2015-10-17 18:49:43 EDT
Created attachment 1083999 [details]
File: cgroup
Comment 3 Michal Ambroz 2015-10-17 18:49:45 EDT
Created attachment 1084000 [details]
File: core_backtrace
Comment 4 Michal Ambroz 2015-10-17 18:49:47 EDT
Created attachment 1084001 [details]
File: dso_list
Comment 5 Michal Ambroz 2015-10-17 18:49:48 EDT
Created attachment 1084002 [details]
File: environ
Comment 6 Michal Ambroz 2015-10-17 18:49:50 EDT
Created attachment 1084003 [details]
File: exploitable
Comment 7 Michal Ambroz 2015-10-17 18:49:51 EDT
Created attachment 1084004 [details]
File: limits
Comment 8 Michal Ambroz 2015-10-17 18:49:53 EDT
Created attachment 1084005 [details]
File: maps
Comment 9 Michal Ambroz 2015-10-17 18:49:55 EDT
Created attachment 1084006 [details]
File: open_fds
Comment 10 Michal Ambroz 2015-10-17 18:49:57 EDT
Created attachment 1084007 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2015-11-04 05:07:00 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-12-02 10:43:44 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.